## mingw-w64-tulip-6.0.1-1.src.tar.zst

=== bundlers/win/CMakeLists.txt ===
IF(IS_64BIT)
  SET(PYTHON_INSTALLER "python-${Python_VERSION}-amd64.exe")
ELSE()
  SET(PYTHON_INSTALLER "python-${Python_VERSION}.exe")
ENDIF()
SET(PYTHON_INSTALLER_EXT "exe")

SET(TULIP_PYTHON_BUNDLE ON)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Tulip.nsi.in ${CMAKE_CURRENT_BINARY_DIR}/Tulip.nsi @ONLY)

SET(TULIP_PYTHON_BUNDLE OFF)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Tulip.nsi.in ${CMAKE_CURRENT_BINARY_DIR}/Tulip_no_python.nsi @ONLY)
